<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>DHTMLX Grid with Sub Grid</title>
<script src="dhtmlx/jquery-2.1.4.min.js"></script>
<link rel="stylesheet" type="text/css" href="dhtmlx/full/dhtmlx.css" />
<script src="dhtmlx/full/dhtmlx.js"></script>
<style>
	.even{
		background-color:#fff;
	}
	.uneven{
		background-color:#e9e9e9 ;
	}
	.dhx_page div {
		background-color: #FFF !important;
		color: #B80307 ;
		padding: 2px;
		font-weight:bold;
	}
	div.dhx_page_active {
  		background-color: #B80307 !important;
		color:#FFF !important;
	}
	div.gridbox_light table.hdr td {
		text-align: center;
		vertical-align: middle !important;
	}
	div.gridbox_light table.hdr td div.hdrcell {
  	padding-left: 0 !important;
	}
	div.gridbox_light table.hdr{
		padding-right: 0px !important;
	}
.hover {
    background-color: #fef79c;
}
.dhx_pline{
	width:auto !important;
}
</style>
<!--	<script src="dhtmlx/dhtmlxcommon_debug.js"></script>-->
<script>
	$(document).ready(function(){
		doOnLoad();
	});
		var myGrid;
		function doOnLoad(){
		 if(myGrid==null){
			myGrid = new dhtmlXGridObject('gridbox');
			myGrid.setImagePath("dhtmlx/full/imgs/");
			myGrid.enableAutoHeight(true);
			myGrid.setStyle("border-style:solid;border-width:thin; border-color:#d6d6d6;background: #48474e;color: #fff; font-size: 12px;font-weight: normal;", "border:none;padding: 4px 2px; text-align: center; vertical-align: middle;  font-size: 11px","","");
			myGrid.setHeader("&nbsp;,Account ID,Status,Lead ID,Last Agent,Phone,Type,Name,Time Zone,Caller ID,Last Call,Change Log,Action");
			myGrid.attachHeader(",#text_filter,#text_filter,#numeric_filter,,#numeric_filter,#select_filter_strict,,#select_filter_strict,,,,,");
			myGrid.setInitWidths("20,*,*,*,*,*,*,*,*,*,*,*,*");
			myGrid.setColAlign("center,center,center,center,center,center,center,center,center,center,center,center,center");
			myGrid.setColTypes("ro,ro,ro,ro,ro,ro,ro,ro,ro,ro,ro,ro,ro");
			myGrid.enableRowsHover(true,"hover");
			myGrid.setColSorting("na,na,int,str,na,na,str,na,str,str,str,na,na");
			myGrid.setSkin("light");
			myGrid.enableAlterCss("even","uneven");
		
			myGrid.attachEvent("onMouseOver", function(){ return false; })
		/*	myGrid.attachEvent("onXLS",function(){ document.getElementById("successdiv").style.display="block"; });
			myGrid.attachEvent("onXLE",function(){ document.getElementById("successdiv").style.display="none"; });*/
			myGrid.init();
			date = new Date();
			milliseconds = date.getTime();
			remoteURL = "grix_xml.php?time="+milliseconds;
			
			myGrid.attachEvent("onFilterEnd", function(elements){
				var countRows = myGrid.getRowsNum();
				if(countRows > 10 ){ $('#pagingArea').show(); }else if(countRows <= 10){ $('.dhx_pline').hide(); $('#pagingArea').show(); }
			});
			myGrid.attachEvent("onAfterSorting", function(index,type,direction){
				var countRows = myGrid.getRowsNum();
				if(countRows > 10 ){ $('#pagingArea').show(); }else if(countRows <= 10){ $('.dhx_pline').hide(); $('#pagingArea').show(); }
			});
			
			myGrid.attachEvent("onBeforePageChanged",function(){
		    		if (!this.getRowsNum()){ return false; }else{ return true; }
		    	});
			myGrid.attachEvent("onPageChanged", function(ind,fInd,lInd) {
				var count=myGrid.getRowsNum()+1;
				//loadXML
				myGrid.loadXML(remoteURL+"&posStart="+count,function(){ myGrid.setSizes(); });
			});
			myGrid.enablePaging(true,10,10,"pagingArea",true);
			myGrid.setPagingSkin("bricks");
			//The event can be used to change the sub grid behavior: 
			myGrid.attachEvent("onSubGridCreated",function(subgrid,id,ind,data){
				subgrid.setInitWidths("100,100,65,70,75,50,45,90,65,65,*,65");
				subgrid.enableRowsHover(true,"hover");
				subgrid.enableAlterCss("even","uneven");
				subgrid.attachEvent("onMouseOver", function(){ return false; })
				subgrid.loadXML(data,function(){
					myGrid.setSizes();
						subgrid.setSizes(); 
						subgrid.callEvent("onGridReconstructed",[]); 
				});
      			return false;  // block default behavior
			});
			
			
			myGrid.clearAndLoad(remoteURL,function(){ var count = myGrid.getRowsNum(); if(count > 10 ){ $('#pagingArea').show(); }else if(count==0){ $('#pagingArea').show(); }else if(count <= 10){ $('.dhx_pline').hide(); $('#pagingArea').show(); } });
		}else{
			myGrid.updateFromXML(remoteURL,false,true,function(){ var count = myGrid.getRowsNum(); if(count > 10 ){ $('#pagingArea').show(); }else if(count==0){ $('#pagingArea').show(); }else if(count <= 10){ $('.dhx_pline').hide(); $('#pagingArea').show(); } });
		}

			
			
			
		}
	</script> 
</head>

<body>
<div id="gridbox" style="width:100%; height:200px;"></div>
<div id="pagingArea" style="margin-top: 10px; display:none;"></div>
</body>
</html>